The following commit has been merged in the master branch:
commit ddce51bd4aea0e6bda15ebc44cb6d185239e2477
Author: Bas Couwenberg <sebas...@xs4all.nl>
Date:   Sat Oct 5 21:09:17 2013 +0200

    Import changes from 1.3.0~r863-4.

diff --git a/debian/changelog b/debian/changelog
index 7dbe8c0..14b88f7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,16 @@
+libkml (1.3.0~r863-4) unstable; urgency=low
+
+  * Added liburiparser-dev to libkml-dev.
+  * Moved to dh_python2 instead of python-central.
+  * Policy bumped to 3.9.3, no changes required.
+  * Debhelper level set to 9.
+  * Refreshed reautoconfiscated.diff to remove a backup file. Thanks doko.
+    (closes: #650525)
+  * The ld-as-needed case has been already managed.
+    (closes: #641681)
+
+ -- Francesco Paolo Lovergine <fran...@debian.org>  Wed, 14 Mar 2012 13:29:51 
+0100
+
 libkml (1.3.0~r863-3) unstable; urgency=low
 
   * Added swig patch to remove a wrong swig version test.
diff --git a/debian/compat b/debian/compat
index 45a4fb7..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-8
+9
diff --git a/debian/control b/debian/control
index 265de85..f2c4430 100644
--- a/debian/control
+++ b/debian/control
@@ -3,11 +3,11 @@ Section: science
 Priority: extra
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <fran...@debian.org>
-Build-Depends: cdbs, debhelper (>= 8), autotools-dev, libexpat1-dev, 
zlib1g-dev, default-jdk,
- python-dev, python-all-dev, liburiparser-dev (>= 0.7.1), chrpath,
- libcurl4-openssl-dev, swig, python-central
-XS-Python-Version: >= 2.5
-Standards-Version: 3.9.2
+Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 9), autotools-dev, 
libexpat1-dev, zlib1g-dev, default-jdk,
+ python-dev (>=  2.6.6-3~), python-all-dev (>= 2.6.6-3~), liburiparser-dev (>= 
0.7.1), chrpath,
+ libcurl4-openssl-dev, swig
+X-Python-Version: >= 2.5
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/libkml/
 Vcs-Git: git://git.debian.org/git/pkg-grass/libkml.git
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/libkml.git
@@ -28,7 +28,7 @@ Description: A library to manipulate KML 2.2 OGC standard 
files
 Package: libkml-dev
 Architecture: any
 Section: libdevel
-Depends: libkml0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libkml0 (= ${binary:Version}), liburiparser-dev (>= 0.7.1), 
${shlibs:Depends}, ${misc:Depends}
 Description: A library to manipulate KML 2.2 OGC standard files - development 
files
  This is a library for use with applications that want to parse,        
  generate and operate on KML, a geo-data XML variant. It is an          
diff --git a/debian/patches/reautoconfiscated.diff 
b/debian/patches/reautoconfiscated.diff
index 7722b8c..ae03793 100644
--- a/debian/patches/reautoconfiscated.diff
+++ b/debian/patches/reautoconfiscated.diff
@@ -1,116 +1,3 @@
-Index: git/config.h.in~
-===================================================================
---- /dev/null  1970-01-01 00:00:00.000000000 +0000
-+++ git/config.h.in~   2011-03-29 14:52:31.000000000 +0200
-@@ -0,0 +1,108 @@
-+/* config.h.in.  Generated from configure.ac by autoheader.  */
-+
-+/* Define to 1 if you have the <dlfcn.h> header file. */
-+#undef HAVE_DLFCN_H
-+
-+/* Define to 1 if you have the <expat.h> header file. */
-+#undef HAVE_EXPAT_H
-+
-+/* Define to 1 if you have the <float.h> header file. */
-+#undef HAVE_FLOAT_H
-+
-+/* Define to 1 if you have the `floor' function. */
-+#undef HAVE_FLOOR
-+
-+/* Define to 1 if you have the <inttypes.h> header file. */
-+#undef HAVE_INTTYPES_H
-+
-+/* Define to 1 if you have the `expat' library (-lexpat). */
-+#undef HAVE_LIBEXPAT
-+
-+/* Define to 1 if you have the <limits.h> header file. */
-+#undef HAVE_LIMITS_H
-+
-+/* Define to 1 if your system has a GNU libc compatible `malloc' function, and
-+   to 0 otherwise. */
-+#undef HAVE_MALLOC
-+
-+/* Define to 1 if you have the <memory.h> header file. */
-+#undef HAVE_MEMORY_H
-+
-+/* Define to 1 if you have the `memset' function. */
-+#undef HAVE_MEMSET
-+
-+/* Define to 1 if stdbool.h conforms to C99. */
-+#undef HAVE_STDBOOL_H
-+
-+/* Define to 1 if you have the <stdint.h> header file. */
-+#undef HAVE_STDINT_H
-+
-+/* Define to 1 if you have the <stdlib.h> header file. */
-+#undef HAVE_STDLIB_H
-+
-+/* Define to 1 if you have the <strings.h> header file. */
-+#undef HAVE_STRINGS_H
-+
-+/* Define to 1 if you have the <string.h> header file. */
-+#undef HAVE_STRING_H
-+
-+/* Define to 1 if you have the `strstr' function. */
-+#undef HAVE_STRSTR
-+
-+/* Define to 1 if you have the <sys/stat.h> header file. */
-+#undef HAVE_SYS_STAT_H
-+
-+/* Define to 1 if you have the <sys/types.h> header file. */
-+#undef HAVE_SYS_TYPES_H
-+
-+/* Define to 1 if you have the <unistd.h> header file. */
-+#undef HAVE_UNISTD_H
-+
-+/* Define to 1 if the system has the type `_Bool'. */
-+#undef HAVE__BOOL
-+
-+/* Define to the sub-directory in which libtool stores uninstalled libraries.
-+   */
-+#undef LT_OBJDIR
-+
-+/* Name of package */
-+#undef PACKAGE
-+
-+/* Define to the address where bug reports for this package should be sent. */
-+#undef PACKAGE_BUGREPORT
-+
-+/* Define to the full name of this package. */
-+#undef PACKAGE_NAME
-+
-+/* Define to the full name and version of this package. */
-+#undef PACKAGE_STRING
-+
-+/* Define to the one symbol short name of this package. */
-+#undef PACKAGE_TARNAME
-+
-+/* Define to the home page for this package. */
-+#undef PACKAGE_URL
-+
-+/* Define to the version of this package. */
-+#undef PACKAGE_VERSION
-+
-+/* Define to 1 if you have the ANSI C header files. */
-+#undef STDC_HEADERS
-+
-+/* Version number of package */
-+#undef VERSION
-+
-+/* Define to empty if `const' does not conform to ANSI C. */
-+#undef const
-+
-+/* Define to `__inline__' or `__inline' if that's what the C compiler
-+   calls it, or to nothing if 'inline' is not supported under any name.  */
-+#ifndef __cplusplus
-+#undef inline
-+#endif
-+
-+/* Define to rpl_malloc if the replacement function should be used. */
-+#undef malloc
-+
-+/* Define to `unsigned int' if <sys/types.h> does not define. */
-+#undef size_t
 Index: git/configure
 ===================================================================
 --- git.orig/configure 2011-03-29 14:50:08.000000000 +0200
diff --git a/debian/patches/series b/debian/patches/series
index 8033dd2..350042a 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -5,4 +5,4 @@ clone.diff
 ld-as-needed.diff
 feature_view_test.diff
 geometry_test.diff
-swig
+swig.diff
diff --git a/debian/patches/swig b/debian/patches/swig.diff
similarity index 100%
rename from debian/patches/swig
rename to debian/patches/swig.diff
diff --git a/debian/rules b/debian/rules
index 6393b29..5335b57 100755
--- a/debian/rules
+++ b/debian/rules
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 
-DEB_PYTHON_SYSTEM = pycentral
 PY_VERSIONS = $(shell pyversions --requested debian/control)
 
 JAVA_HOME = /usr/lib/jvm/default-java
@@ -47,7 +46,7 @@ binary-install/python-kml:: install/python-kml
        do \
                chrpath --delete 
$(CURDIR)/debian/python-kml/usr/lib/$$version/*-packages/*.so ; \
        done
-       dh_pycentral -ppython-kml
+       dh_python2 -ppython-kml
 
 binary-install/libkml-dev::
        # removes autotools stuff

-- 
A library to manipulate KML 2.2 OGC standard files

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to